//*******************************************
//*					
//*          Real world lighting for use on non-visible brushes	
//*          Made by ShminkyBoy 10/3/2002
//*
//*          This file is based on the urban_light.shader file
//*          provided by Silicon Ice Development.
//*
//*          this shader belongs in [quake folder]\[mod folder]\scripts\
//*          add realworld_light to shaderlist.txt
//*          editor graphics for this shader should be placed
//*          in [quake folder]\[mod folder]\textures\realworld_light\
//*          					
//********************************************


//	Incandescent lights
//	=============

textures/realworld_light/Incandescent_100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	
	
	q3map_surfacelight 100
	q3map_lightimage textures/realworld_light/incand.tga
}


textures/realworld_light/Incandescent_200
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 200
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/realworld_light/Incandescent_350
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 350
	q3map_lightimage textures/realworld_light/incand.tga
}


textures/realworld_light/Incandescent_500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/realworld_light/Incandescent_750
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 750
	q3map_lightimage textures/realworld_light/incand.tga
}

textures/realworld_light/Incandescent_1k
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightinc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000
	q3map_lightimage textures/realworld_light/incand.tga
}






//	Sodium Lights
//	==========

textures/realworld_light/Sodium_100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100
	q3map_lightimage textures/realworld_light/sodium.tga
}


textures/realworld_light/Sodium_200
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 200
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/realworld_light/Sodium_350
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 350
	q3map_lightimage textures/realworld_light/sodium.tga
}


textures/realworld_light/Sodium_500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	
	q3map_surfacelight 500
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/realworld_light/Sodium_750
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 750
	q3map_lightimage textures/realworld_light/sodium.tga
}

textures/realworld_light/Sodium_1k
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightsod.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	
	q3map_surfacelight 1000
	q3map_lightimage textures/realworld_light/sodium.tga
}





//	Flourescent Lights
//	=============

textures/realworld_light/Flourescent_100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100
	q3map_lightimage textures/realworld_light/flouresc.tga
}


textures/realworld_light/Flourescent_200
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 200
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/realworld_light/Flourescent_350
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 350
	q3map_lightimage textures/realworld_light/flouresc.tga
}


textures/realworld_light/Flourescent_500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500
	q3map_lightimage textures/realworld_light/flouresc.tga
}


textures/realworld_light/Flourescent_750
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 750
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/realworld_light/Flourescent_1k
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000
	q3map_lightimage textures/realworld_light/flouresc.tga
}



//	Metal Halide Lights
//	=============

textures/realworld_light/halide_100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/realworld_light/halide_200
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 200
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/realworld_light/halide_350
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 350
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/realworld_light/halide_500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/realworld_light/halide_750
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 750
	q3map_lightimage textures/realworld_light/halide.tga
}

textures/realworld_light/halide_1k
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lighthal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000
	q3map_lightimage textures/realworld_light/halide.tga
}

//	Mercury Lights
//	============

textures/realworld_light/mercury_100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 100
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/realworld_light/mercury_200
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 200
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/realworld_light/mercury_350
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 350
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/realworld_light/mercury_500
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/realworld_light/mercury_750
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 750
	q3map_lightimage textures/realworld_light/mercury.tga
}

textures/realworld_light/mercury_1k
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightmerc.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 1000
	q3map_lightimage textures/realworld_light/mercury.tga
}

